Freeciv-3.1: action_enabler Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
action_enabler Struct Reference

`#include <actions.h>`

## Data Fields

action_id | action
struct requirement_vector | actor_reqs
struct requirement_vector | target_reqs
bool | ruledit_disabled

## Detailed Description

Definition at line 437 of file actions.h.

## Field Documentation

## ◆ action

action_id action_enabler::action

Definition at line 439 of file actions.h.

Referenced by action_enabler_add(), action_enabler_copy(), action_enabler_new(), action_enabler_possible_actor(), action_enabler_remove(), action_enabler_suggest_improvement(), action_enabler_suggest_repair_oblig(), action_enabler_utype_possible_actor(), tab_enabler::add_now(), ae_suggest_repair_if_no_oblig(), fix_enabler_item::apply_accepted_changes(), tab_enabler::edit_type(), effect_to_enabler(), enabler_first_self_contradiction(), enabler_tile_tgt_local_diplrel_implies_claimed(), fix_enabler_item::fix_enabler_item(), handle_ruleset_action_enabler(), load_ruleset_game(), rscompat_enabler_add_obligatory_hard_reqs(), rscompat_old_slow_invasions_3_1(), rscompat_postprocess(), slow_invasion_enablers(), and fix_enabler_item::undo_accepted_changes().

## ◆ actor_reqs

struct requirement_vector action_enabler::actor_reqs

Definition at line 440 of file actions.h.

Referenced by action_enabler_copy(), action_enabler_free(), action_enabler_new(), action_enabler_suggest_improvement(), action_enabler_suggest_repair(), action_enabler_utype_possible_actor(), action_enabler_vector_by_number(), action_enabler_vector_number(), ae_suggest_repair_if_no_oblig(), fix_enabler_item::apply_accepted_changes(), tab_enabler::edit_actor_reqs(), effect_to_enabler(), enabler_first_self_contradiction(), enabler_tile_tgt_local_diplrel_implies_claimed(), handle_ruleset_action_enabler(), is_enabler_active(), load_ruleset_game(), rscompat_enabler_add_obligatory_hard_reqs(), rscompat_old_slow_invasions_3_1(), rscompat_postprocess(), slow_invasion_enablers(), fix_enabler_item::undo_accepted_changes(), and fix_enabler_item::vector_in_item().

## ◆ ruledit_disabled

bool action_enabler::ruledit_disabled

Definition at line 445 of file actions.h.

Referenced by action_enabler_new(), tab_enabler::add_now(), tab_enabler::delete_now(), and rscompat_enabler_add_obligatory_hard_reqs().

## ◆ target_reqs

struct requirement_vector action_enabler::target_reqs

Definition at line 441 of file actions.h.

Referenced by action_enabler_copy(), action_enabler_free(), action_enabler_new(), action_enabler_suggest_improvement(), action_enabler_suggest_repair(), action_enabler_vector_by_number(), action_enabler_vector_number(), ae_suggest_repair_if_no_oblig(), fix_enabler_item::apply_accepted_changes(), tab_enabler::edit_target_reqs(), effect_to_enabler(), enabler_first_self_contradiction(), enabler_tile_tgt_local_diplrel_implies_claimed(), handle_ruleset_action_enabler(), is_enabler_active(), load_ruleset_game(), rscompat_enabler_add_obligatory_hard_reqs(), rscompat_old_slow_invasions_3_1(), rscompat_postprocess(), fix_enabler_item::undo_accepted_changes(), and fix_enabler_item::vector_in_item().